/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QPARALLELANIMATIONGROUPWRAPPER_H
#define SBK_QPARALLELANIMATIONGROUPWRAPPER_H

#include <shiboken.h>

#include <qparallelanimationgroup.h>

namespace PySide { class DynamicQMetaObject; }

class QParallelAnimationGroupWrapper : public QParallelAnimationGroup
{
public:
    QParallelAnimationGroupWrapper(QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QParallelAnimationGroup::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QParallelAnimationGroup::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QParallelAnimationGroup::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QParallelAnimationGroup::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual int duration() const;
    inline bool event_protected(QEvent * event) { return QParallelAnimationGroup::event(event); }
    virtual bool event(QEvent * event);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QParallelAnimationGroup::receivers(signal); }
    inline QObject * sender_protected() const { return QParallelAnimationGroup::sender(); }
    inline int senderSignalIndex_protected() const { return QParallelAnimationGroup::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QParallelAnimationGroup::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    inline void updateCurrentTime_protected(int currentTime) { QParallelAnimationGroup::updateCurrentTime(currentTime); }
    virtual void updateCurrentTime(int currentTime);
    inline void updateDirection_protected(int direction) { QParallelAnimationGroup::updateDirection(QAbstractAnimation::Direction(direction)); }
    virtual void updateDirection(QAbstractAnimation::Direction direction);
    inline void updateState_protected(int newState, int oldState) { QParallelAnimationGroup::updateState(QAbstractAnimation::State(newState), QAbstractAnimation::State(oldState)); }
    virtual void updateState(QAbstractAnimation::State newState, QAbstractAnimation::State oldState);
    virtual ~QParallelAnimationGroupWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QPARALLELANIMATIONGROUPWRAPPER_H

