/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QPAUSEANIMATIONWRAPPER_H
#define SBK_QPAUSEANIMATIONWRAPPER_H

#include <shiboken.h>

#include <qpauseanimation.h>

namespace PySide { class DynamicQMetaObject; }

class QPauseAnimationWrapper : public QPauseAnimation
{
public:
    QPauseAnimationWrapper(QObject * parent = 0);
    QPauseAnimationWrapper(int msecs, QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QPauseAnimation::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QPauseAnimation::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QPauseAnimation::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QPauseAnimation::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual int duration() const;
    inline bool event_protected(QEvent * e) { return QPauseAnimation::event(e); }
    virtual bool event(QEvent * e);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QPauseAnimation::receivers(signal); }
    inline QObject * sender_protected() const { return QPauseAnimation::sender(); }
    inline int senderSignalIndex_protected() const { return QPauseAnimation::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QPauseAnimation::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    inline void updateCurrentTime_protected(int arg__1) { QPauseAnimation::updateCurrentTime(arg__1); }
    virtual void updateCurrentTime(int arg__1);
    inline void updateDirection_protected(int direction) { QPauseAnimation::updateDirection(QAbstractAnimation::Direction(direction)); }
    virtual void updateDirection(QAbstractAnimation::Direction direction);
    inline void updateState_protected(int newState, int oldState) { QPauseAnimation::updateState(QAbstractAnimation::State(newState), QAbstractAnimation::State(oldState)); }
    virtual void updateState(QAbstractAnimation::State newState, QAbstractAnimation::State oldState);
    virtual ~QPauseAnimationWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QPAUSEANIMATIONWRAPPER_H

