/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QRESOURCEWRAPPER_H
#define SBK_QRESOURCEWRAPPER_H

#include <shiboken.h>

#include <qresource.h>

class QResourceWrapper : public QResource
{
public:
    QResourceWrapper(const QString & file = QString(), const QLocale & locale = QLocale());
    inline QStringList children_protected() const { return QResource::children(); }
    inline bool isDir_protected() const { return QResource::isDir(); }
    inline bool isFile_protected() const { return QResource::isFile(); }
    ~QResourceWrapper();
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QRESOURCEWRAPPER_H

