/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSEQUENTIALANIMATIONGROUPWRAPPER_H
#define SBK_QSEQUENTIALANIMATIONGROUPWRAPPER_H

#include <shiboken.h>

#include <qsequentialanimationgroup.h>

namespace PySide { class DynamicQMetaObject; }

class QSequentialAnimationGroupWrapper : public QSequentialAnimationGroup
{
public:
    QSequentialAnimationGroupWrapper(QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QSequentialAnimationGroup::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QSequentialAnimationGroup::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QSequentialAnimationGroup::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QSequentialAnimationGroup::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual int duration() const;
    inline bool event_protected(QEvent * event) { return QSequentialAnimationGroup::event(event); }
    virtual bool event(QEvent * event);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QSequentialAnimationGroup::receivers(signal); }
    inline QObject * sender_protected() const { return QSequentialAnimationGroup::sender(); }
    inline int senderSignalIndex_protected() const { return QSequentialAnimationGroup::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QSequentialAnimationGroup::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    inline void updateCurrentTime_protected(int arg__1) { QSequentialAnimationGroup::updateCurrentTime(arg__1); }
    virtual void updateCurrentTime(int arg__1);
    inline void updateDirection_protected(int direction) { QSequentialAnimationGroup::updateDirection(QAbstractAnimation::Direction(direction)); }
    virtual void updateDirection(QAbstractAnimation::Direction direction);
    inline void updateState_protected(int newState, int oldState) { QSequentialAnimationGroup::updateState(QAbstractAnimation::State(newState), QAbstractAnimation::State(oldState)); }
    virtual void updateState(QAbstractAnimation::State newState, QAbstractAnimation::State oldState);
    virtual ~QSequentialAnimationGroupWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSEQUENTIALANIMATIONGROUPWRAPPER_H

