/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSTATEMACHINEWRAPPER_H
#define SBK_QSTATEMACHINEWRAPPER_H

#include <shiboken.h>

#include <qstatemachine.h>

namespace PySide { class DynamicQMetaObject; }

class QStateMachineWrapper : public QStateMachine
{
public:
    QStateMachineWrapper(QObject * parent = 0);
    inline void beginMicrostep_protected(QEvent * event) { QStateMachine::beginMicrostep(event); }
    virtual void beginMicrostep(QEvent * event);
    inline void beginSelectTransitions_protected(QEvent * event) { QStateMachine::beginSelectTransitions(event); }
    virtual void beginSelectTransitions(QEvent * event);
    inline void childEvent_protected(QChildEvent * arg__1) { QStateMachine::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QStateMachine::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QStateMachine::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QStateMachine::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline void endMicrostep_protected(QEvent * event) { QStateMachine::endMicrostep(event); }
    virtual void endMicrostep(QEvent * event);
    inline void endSelectTransitions_protected(QEvent * event) { QStateMachine::endSelectTransitions(event); }
    virtual void endSelectTransitions(QEvent * event);
    inline bool event_protected(QEvent * e) { return QStateMachine::event(e); }
    virtual bool event(QEvent * e);
    virtual bool eventFilter(QObject * watched, QEvent * event);
    virtual const QMetaObject * metaObject() const;
    inline void onEntry_protected(QEvent * event) { QStateMachine::onEntry(event); }
    virtual void onEntry(QEvent * event);
    inline void onExit_protected(QEvent * event) { QStateMachine::onExit(event); }
    virtual void onExit(QEvent * event);
    inline int receivers_protected(const char * signal) const { return QStateMachine::receivers(signal); }
    inline QObject * sender_protected() const { return QStateMachine::sender(); }
    inline int senderSignalIndex_protected() const { return QStateMachine::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QStateMachine::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QStateMachineWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSTATEMACHINEWRAPPER_H

