/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QCDESTYLEWRAPPER_H
#define SBK_QCDESTYLEWRAPPER_H

#include <shiboken.h>

#include <qcdestyle.h>

namespace PySide { class DynamicQMetaObject; }

class QCDEStyleWrapper : public QCDEStyle
{
public:
    QCDEStyleWrapper(bool useHighlightCols = false);
    inline void childEvent_protected(QChildEvent * arg__1) { QCDEStyle::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QCDEStyle::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QCDEStyle::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QCDEStyle::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual void drawComplexControl(QStyle::ComplexControl cc, const QStyleOptionComplex * opt, QPainter * p, const QWidget * w = 0) const;
    virtual void drawControl(QStyle::ControlElement element, const QStyleOption * opt, QPainter * p, const QWidget * w = 0) const;
    virtual void drawItemPixmap(QPainter * painter, const QRect & rect, int alignment, const QPixmap & pixmap) const;
    virtual void drawItemText(QPainter * painter, const QRect & rect, int flags, const QPalette & pal, bool enabled, const QString & text, QPalette::ColorRole textRole = QPalette::NoRole) const;
    virtual void drawPrimitive(QStyle::PrimitiveElement pe, const QStyleOption * opt, QPainter * p, const QWidget * w = 0) const;
    virtual bool event(QEvent * arg__1);
    inline bool eventFilter_protected(QObject * o, QEvent * e) { return QCDEStyle::eventFilter(o, e); }
    virtual bool eventFilter(QObject * o, QEvent * e);
    virtual QPixmap generatedIconPixmap(QIcon::Mode iconMode, const QPixmap & pixmap, const QStyleOption * opt) const;
    virtual QStyle::SubControl hitTestComplexControl(QStyle::ComplexControl cc, const QStyleOptionComplex * opt, const QPoint & pt, const QWidget * w = 0) const;
    virtual QRect itemPixmapRect(const QRect & r, int flags, const QPixmap & pixmap) const;
    virtual QRect itemTextRect(const QFontMetrics & fm, const QRect & r, int flags, bool enabled, const QString & text) const;
    inline int layoutSpacingImplementation_protected(int control1, int control2, int orientation, const QStyleOption * option = 0, const QWidget * widget = 0) const { return QCDEStyle::layoutSpacingImplementation(QSizePolicy::ControlType(control1), QSizePolicy::ControlType(control2), Qt::Orientation(orientation), option, widget); }
    virtual const QMetaObject * metaObject() const;
    virtual int pixelMetric(QStyle::PixelMetric metric, const QStyleOption * option = 0, const QWidget * widget = 0) const;
    virtual void polish(QApplication * arg__1);
    virtual void polish(QPalette & arg__1);
    virtual void polish(QWidget * arg__1);
    inline int receivers_protected(const char * signal) const { return QCDEStyle::receivers(signal); }
    inline QObject * sender_protected() const { return QCDEStyle::sender(); }
    inline int senderSignalIndex_protected() const { return QCDEStyle::senderSignalIndex(); }
    virtual QSize sizeFromContents(QStyle::ContentsType ct, const QStyleOption * opt, const QSize & contentsSize, const QWidget * widget = 0) const;
    inline QIcon standardIconImplementation_protected(int standardIcon, const QStyleOption * opt = 0, const QWidget * widget = 0) const { return QCDEStyle::standardIconImplementation(QStyle::StandardPixmap(standardIcon), opt, widget); }
    virtual QPalette standardPalette() const;
    virtual QPixmap standardPixmap(QStyle::StandardPixmap standardPixmap, const QStyleOption * opt = 0, const QWidget * widget = 0) const;
    virtual int styleHint(QStyle::StyleHint hint, const QStyleOption * opt = 0, const QWidget * widget = 0, QStyleHintReturn * returnData = 0) const;
    virtual QRect subControlRect(QStyle::ComplexControl cc, const QStyleOptionComplex * opt, QStyle::SubControl sc, const QWidget * widget = 0) const;
    virtual QRect subElementRect(QStyle::SubElement r, const QStyleOption * opt, const QWidget * widget = 0) const;
    inline void timerEvent_protected(QTimerEvent * event) { QCDEStyle::timerEvent(event); }
    virtual void timerEvent(QTimerEvent * event);
    virtual void unpolish(QApplication * arg__1);
    virtual void unpolish(QWidget * arg__1);
    virtual ~QCDEStyleWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QCDESTYLEWRAPPER_H

