/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QCLIPBOARDWRAPPER_H
#define SBK_QCLIPBOARDWRAPPER_H

#include <shiboken.h>

#include <qclipboard.h>

namespace PySide { class DynamicQMetaObject; }

class QClipboardWrapper : public QClipboard
{
public:
    inline void childEvent_protected(QChildEvent * arg__1) { QClipboard::childEvent(arg__1); }
    inline void connectNotify_protected(const char * arg__1) { QClipboard::connectNotify(arg__1); }
    inline void customEvent_protected(QEvent * arg__1) { QClipboard::customEvent(arg__1); }
    inline void disconnectNotify_protected(const char * signal) { QClipboard::disconnectNotify(signal); }
    inline bool event_protected(QEvent * arg__1) { return QClipboard::event(arg__1); }
    inline int receivers_protected(const char * signal) const { return QClipboard::receivers(signal); }
    inline QObject * sender_protected() const { return QClipboard::sender(); }
    inline int senderSignalIndex_protected() const { return QClipboard::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QClipboard::timerEvent(arg__1); }
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QCLIPBOARDWRAPPER_H

