/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QCOMMANDLINKBUTTONWRAPPER_H
#define SBK_QCOMMANDLINKBUTTONWRAPPER_H

#include <shiboken.h>

#include <qcommandlinkbutton.h>

namespace PySide { class DynamicQMetaObject; }

class QCommandLinkButtonWrapper : public QCommandLinkButton
{
public:
    QCommandLinkButtonWrapper(QWidget * parent = 0);
    QCommandLinkButtonWrapper(const QString & text, QWidget * parent = 0);
    QCommandLinkButtonWrapper(const QString & text, const QString & description, QWidget * parent = 0);
    inline void actionEvent_protected(QActionEvent * event) { QCommandLinkButton::actionEvent(event); }
    virtual void actionEvent(QActionEvent * event);
    inline void changeEvent_protected(QEvent * e) { QCommandLinkButton::changeEvent(e); }
    virtual void changeEvent(QEvent * e);
    inline void checkStateSet_protected() { QCommandLinkButton::checkStateSet(); }
    virtual void checkStateSet();
    inline void childEvent_protected(QChildEvent * arg__1) { QCommandLinkButton::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void closeEvent_protected(QCloseEvent * event) { QCommandLinkButton::closeEvent(event); }
    virtual void closeEvent(QCloseEvent * event);
    inline void connectNotify_protected(const char * signal) { QCommandLinkButton::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void contextMenuEvent_protected(QContextMenuEvent * event) { QCommandLinkButton::contextMenuEvent(event); }
    virtual void contextMenuEvent(QContextMenuEvent * event);
    inline void customEvent_protected(QEvent * arg__1) { QCommandLinkButton::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void destroy_protected(bool destroyWindow = true, bool destroySubWindows = true) { QCommandLinkButton::destroy(destroyWindow, destroySubWindows); }
    virtual int devType() const;
    inline void disconnectNotify_protected(const char * signal) { QCommandLinkButton::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline void dragEnterEvent_protected(QDragEnterEvent * event) { QCommandLinkButton::dragEnterEvent(event); }
    virtual void dragEnterEvent(QDragEnterEvent * event);
    inline void dragLeaveEvent_protected(QDragLeaveEvent * event) { QCommandLinkButton::dragLeaveEvent(event); }
    virtual void dragLeaveEvent(QDragLeaveEvent * event);
    inline void dragMoveEvent_protected(QDragMoveEvent * event) { QCommandLinkButton::dragMoveEvent(event); }
    virtual void dragMoveEvent(QDragMoveEvent * event);
    inline void dropEvent_protected(QDropEvent * event) { QCommandLinkButton::dropEvent(event); }
    virtual void dropEvent(QDropEvent * event);
    inline void enterEvent_protected(QEvent * event) { QCommandLinkButton::enterEvent(event); }
    virtual void enterEvent(QEvent * event);
    inline bool event_protected(QEvent * e) { return QCommandLinkButton::event(e); }
    virtual bool event(QEvent * e);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    inline void focusInEvent_protected(QFocusEvent * arg__1) { QCommandLinkButton::focusInEvent(arg__1); }
    virtual void focusInEvent(QFocusEvent * arg__1);
    inline bool focusNextChild_protected() { return QCommandLinkButton::focusNextChild(); }
    inline bool focusNextPrevChild_protected(bool next) { return QCommandLinkButton::focusNextPrevChild(next); }
    virtual bool focusNextPrevChild(bool next);
    inline void focusOutEvent_protected(QFocusEvent * arg__1) { QCommandLinkButton::focusOutEvent(arg__1); }
    virtual void focusOutEvent(QFocusEvent * arg__1);
    inline bool focusPreviousChild_protected() { return QCommandLinkButton::focusPreviousChild(); }
    inline int heightForWidth_protected(int arg__1) const { return QCommandLinkButton::heightForWidth(arg__1); }
    virtual int heightForWidth(int arg__1) const;
    inline void hideEvent_protected(QHideEvent * event) { QCommandLinkButton::hideEvent(event); }
    virtual void hideEvent(QHideEvent * event);
    inline bool hitButton_protected(const QPoint & pos) const { return QCommandLinkButton::hitButton(pos); }
    virtual bool hitButton(const QPoint & pos) const;
    inline void initStyleOption_protected(QStyleOptionButton * option) const { QCommandLinkButton::initStyleOption(option); }
    inline void inputMethodEvent_protected(QInputMethodEvent * event) { QCommandLinkButton::inputMethodEvent(event); }
    virtual void inputMethodEvent(QInputMethodEvent * event);
    virtual QVariant inputMethodQuery(Qt::InputMethodQuery arg__1) const;
    inline void keyPressEvent_protected(QKeyEvent * arg__1) { QCommandLinkButton::keyPressEvent(arg__1); }
    virtual void keyPressEvent(QKeyEvent * arg__1);
    inline void keyReleaseEvent_protected(QKeyEvent * e) { QCommandLinkButton::keyReleaseEvent(e); }
    virtual void keyReleaseEvent(QKeyEvent * e);
    inline void languageChange_protected() { QCommandLinkButton::languageChange(); }
    virtual void languageChange();
    inline void leaveEvent_protected(QEvent * event) { QCommandLinkButton::leaveEvent(event); }
    virtual void leaveEvent(QEvent * event);
    virtual const QMetaObject * metaObject() const;
    inline int metric_protected(int arg__1) const { return QCommandLinkButton::metric(QPaintDevice::PaintDeviceMetric(arg__1)); }
    virtual int metric(QPaintDevice::PaintDeviceMetric arg__1) const;
    inline QSize minimumSizeHint_protected() const { return QCommandLinkButton::minimumSizeHint(); }
    virtual QSize minimumSizeHint() const;
    inline void mouseDoubleClickEvent_protected(QMouseEvent * event) { QCommandLinkButton::mouseDoubleClickEvent(event); }
    virtual void mouseDoubleClickEvent(QMouseEvent * event);
    inline void mouseMoveEvent_protected(QMouseEvent * e) { QCommandLinkButton::mouseMoveEvent(e); }
    virtual void mouseMoveEvent(QMouseEvent * e);
    inline void mousePressEvent_protected(QMouseEvent * e) { QCommandLinkButton::mousePressEvent(e); }
    virtual void mousePressEvent(QMouseEvent * e);
    inline void mouseReleaseEvent_protected(QMouseEvent * e) { QCommandLinkButton::mouseReleaseEvent(e); }
    virtual void mouseReleaseEvent(QMouseEvent * e);
    inline void moveEvent_protected(QMoveEvent * event) { QCommandLinkButton::moveEvent(event); }
    virtual void moveEvent(QMoveEvent * event);
    inline void nextCheckState_protected() { QCommandLinkButton::nextCheckState(); }
    virtual void nextCheckState();
    virtual QPaintEngine * paintEngine() const;
    inline void paintEvent_protected(QPaintEvent * arg__1) { QCommandLinkButton::paintEvent(arg__1); }
    virtual void paintEvent(QPaintEvent * arg__1);
    inline void resetInputContext_protected() { QCommandLinkButton::resetInputContext(); }
    inline void resizeEvent_protected(QResizeEvent * event) { QCommandLinkButton::resizeEvent(event); }
    virtual void resizeEvent(QResizeEvent * event);
    virtual void setVisible(bool visible);
    inline void showEvent_protected(QShowEvent * event) { QCommandLinkButton::showEvent(event); }
    virtual void showEvent(QShowEvent * event);
    inline QSize sizeHint_protected() const { return QCommandLinkButton::sizeHint(); }
    virtual QSize sizeHint() const;
    inline void tabletEvent_protected(QTabletEvent * event) { QCommandLinkButton::tabletEvent(event); }
    virtual void tabletEvent(QTabletEvent * event);
    inline void timerEvent_protected(QTimerEvent * e) { QCommandLinkButton::timerEvent(e); }
    virtual void timerEvent(QTimerEvent * e);
    inline void updateMicroFocus_protected() { QCommandLinkButton::updateMicroFocus(); }
    inline void wheelEvent_protected(QWheelEvent * event) { QCommandLinkButton::wheelEvent(event); }
    virtual void wheelEvent(QWheelEvent * event);
    inline bool winEvent_protected(MSG * message, long * result) { return QCommandLinkButton::winEvent(message, result); }
    virtual bool winEvent(MSG * message, long * result);
    virtual ~QCommandLinkButtonWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QCOMMANDLINKBUTTONWRAPPER_H

