/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QCOMPLETERWRAPPER_H
#define SBK_QCOMPLETERWRAPPER_H

#include <shiboken.h>

#include <qcompleter.h>

namespace PySide { class DynamicQMetaObject; }

class QCompleterWrapper : public QCompleter
{
public:
    QCompleterWrapper(QAbstractItemModel * model, QObject * parent = 0);
    QCompleterWrapper(QObject * parent = 0);
    QCompleterWrapper(const QStringList & completions, QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QCompleter::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QCompleter::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QCompleter::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QCompleter::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline bool event_protected(QEvent * arg__1) { return QCompleter::event(arg__1); }
    virtual bool event(QEvent * arg__1);
    inline bool eventFilter_protected(QObject * o, QEvent * e) { return QCompleter::eventFilter(o, e); }
    virtual bool eventFilter(QObject * o, QEvent * e);
    virtual const QMetaObject * metaObject() const;
    virtual QString pathFromIndex(const QModelIndex & index) const;
    inline int receivers_protected(const char * signal) const { return QCompleter::receivers(signal); }
    inline QObject * sender_protected() const { return QCompleter::sender(); }
    inline int senderSignalIndex_protected() const { return QCompleter::senderSignalIndex(); }
    virtual QStringList splitPath(const QString & path) const;
    inline void timerEvent_protected(QTimerEvent * arg__1) { QCompleter::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QCompleterWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QCOMPLETERWRAPPER_H

