/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QGRAPHICSOPACITYEFFECTWRAPPER_H
#define SBK_QGRAPHICSOPACITYEFFECTWRAPPER_H

#include <shiboken.h>

#include <qgraphicseffect.h>

namespace PySide { class DynamicQMetaObject; }

class QGraphicsOpacityEffectWrapper : public QGraphicsOpacityEffect
{
public:
    QGraphicsOpacityEffectWrapper(QObject * parent = 0);
    virtual QRectF boundingRectFor(const QRectF & sourceRect) const;
    inline void childEvent_protected(QChildEvent * arg__1) { QGraphicsOpacityEffect::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QGraphicsOpacityEffect::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QGraphicsOpacityEffect::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QGraphicsOpacityEffect::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline void draw_protected(QPainter * painter) { QGraphicsOpacityEffect::draw(painter); }
    virtual void draw(QPainter * painter);
    inline void drawSource_protected(QPainter * painter) { QGraphicsOpacityEffect::drawSource(painter); }
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QGraphicsOpacityEffect::receivers(signal); }
    inline QObject * sender_protected() const { return QGraphicsOpacityEffect::sender(); }
    inline int senderSignalIndex_protected() const { return QGraphicsOpacityEffect::senderSignalIndex(); }
    inline QRectF sourceBoundingRect_protected(int system = Qt::LogicalCoordinates) const { return QGraphicsOpacityEffect::sourceBoundingRect(Qt::CoordinateSystem(system)); }
    inline void sourceChanged_protected(int flags) { QGraphicsOpacityEffect::sourceChanged(QFlags<QGraphicsEffect::ChangeFlag>(flags)); }
    virtual void sourceChanged(QFlags<QGraphicsEffect::ChangeFlag> flags);
    inline bool sourceIsPixmap_protected() const { return QGraphicsOpacityEffect::sourceIsPixmap(); }
    inline QPixmap sourcePixmap_protected(int system = Qt::LogicalCoordinates, QPoint * offset = 0, int mode = PadToEffectiveBoundingRect) const { return QGraphicsOpacityEffect::sourcePixmap(Qt::CoordinateSystem(system), offset, QGraphicsEffect::PixmapPadMode(mode)); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QGraphicsOpacityEffect::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    inline void updateBoundingRect_protected() { QGraphicsOpacityEffect::updateBoundingRect(); }
    virtual ~QGraphicsOpacityEffectWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QGRAPHICSOPACITYEFFECTWRAPPER_H

