/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QPLAINTEXTDOCUMENTLAYOUTWRAPPER_H
#define SBK_QPLAINTEXTDOCUMENTLAYOUTWRAPPER_H

#include <shiboken.h>

#include <qplaintextedit.h>

namespace PySide { class DynamicQMetaObject; }

class QPlainTextDocumentLayoutWrapper : public QPlainTextDocumentLayout
{
public:
    QPlainTextDocumentLayoutWrapper(QTextDocument * document);
    virtual QRectF blockBoundingRect(const QTextBlock & block) const;
    inline void childEvent_protected(QChildEvent * arg__1) { QPlainTextDocumentLayout::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QPlainTextDocumentLayout::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QPlainTextDocumentLayout::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QPlainTextDocumentLayout::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline void documentChanged_protected(int from, int arg__2, int charsAdded) { QPlainTextDocumentLayout::documentChanged(from, arg__2, charsAdded); }
    virtual void documentChanged(int from, int arg__2, int charsAdded);
    virtual QSizeF documentSize() const;
    virtual void draw(QPainter * arg__1, const QAbstractTextDocumentLayout::PaintContext & arg__2);
    inline void drawInlineObject_protected(QPainter * painter, const QRectF & rect, QTextInlineObject object, int posInDocument, const QTextFormat & format) { QPlainTextDocumentLayout::drawInlineObject(painter, rect, object, posInDocument, format); }
    virtual void drawInlineObject(QPainter * painter, const QRectF & rect, QTextInlineObject object, int posInDocument, const QTextFormat & format);
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    inline QTextCharFormat format_protected(int pos) { return QPlainTextDocumentLayout::format(pos); }
    inline int formatIndex_protected(int pos) { return QPlainTextDocumentLayout::formatIndex(pos); }
    virtual QRectF frameBoundingRect(QTextFrame * arg__1) const;
    virtual int hitTest(const QPointF & arg__1, Qt::HitTestAccuracy arg__2) const;
    virtual const QMetaObject * metaObject() const;
    virtual int pageCount() const;
    inline void positionInlineObject_protected(QTextInlineObject item, int posInDocument, const QTextFormat & format) { QPlainTextDocumentLayout::positionInlineObject(item, posInDocument, format); }
    virtual void positionInlineObject(QTextInlineObject item, int posInDocument, const QTextFormat & format);
    inline int receivers_protected(const char * signal) const { return QPlainTextDocumentLayout::receivers(signal); }
    inline void resizeInlineObject_protected(QTextInlineObject item, int posInDocument, const QTextFormat & format) { QPlainTextDocumentLayout::resizeInlineObject(item, posInDocument, format); }
    virtual void resizeInlineObject(QTextInlineObject item, int posInDocument, const QTextFormat & format);
    inline QObject * sender_protected() const { return QPlainTextDocumentLayout::sender(); }
    inline int senderSignalIndex_protected() const { return QPlainTextDocumentLayout::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QPlainTextDocumentLayout::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QPlainTextDocumentLayoutWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QPLAINTEXTDOCUMENTLAYOUTWRAPPER_H

