/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSHORTCUTWRAPPER_H
#define SBK_QSHORTCUTWRAPPER_H

#include <shiboken.h>

#include <qshortcut.h>

namespace PySide { class DynamicQMetaObject; }

class QShortcutWrapper : public QShortcut
{
public:
    QShortcutWrapper(QWidget * parent);
    QShortcutWrapper(const QKeySequence & key, QWidget * parent, const char * member = 0, const char * ambiguousMember = 0, Qt::ShortcutContext context = Qt::WindowShortcut);
    inline void childEvent_protected(QChildEvent * arg__1) { QShortcut::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QShortcut::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QShortcut::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QShortcut::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline bool event_protected(QEvent * e) { return QShortcut::event(e); }
    virtual bool event(QEvent * e);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QShortcut::receivers(signal); }
    inline QObject * sender_protected() const { return QShortcut::sender(); }
    inline int senderSignalIndex_protected() const { return QShortcut::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QShortcut::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QShortcutWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSHORTCUTWRAPPER_H

