/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSORTFILTERPROXYMODELWRAPPER_H
#define SBK_QSORTFILTERPROXYMODELWRAPPER_H

#include <shiboken.h>

#include <qsortfilterproxymodel.h>

namespace PySide { class DynamicQMetaObject; }

class QSortFilterProxyModelWrapper : public QSortFilterProxyModel
{
public:
    QSortFilterProxyModelWrapper(QObject * parent = 0);
    inline void beginInsertColumns_protected(const QModelIndex & parent, int first, int last) { QSortFilterProxyModel::beginInsertColumns(parent, first, last); }
    inline void beginInsertRows_protected(const QModelIndex & parent, int first, int last) { QSortFilterProxyModel::beginInsertRows(parent, first, last); }
    inline bool beginMoveColumns_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationColumn) { return QSortFilterProxyModel::beginMoveColumns(sourceParent, sourceFirst, sourceLast, destinationParent, destinationColumn); }
    inline bool beginMoveRows_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationRow) { return QSortFilterProxyModel::beginMoveRows(sourceParent, sourceFirst, sourceLast, destinationParent, destinationRow); }
    inline void beginRemoveColumns_protected(const QModelIndex & parent, int first, int last) { QSortFilterProxyModel::beginRemoveColumns(parent, first, last); }
    inline void beginRemoveRows_protected(const QModelIndex & parent, int first, int last) { QSortFilterProxyModel::beginRemoveRows(parent, first, last); }
    inline void beginResetModel_protected() { QSortFilterProxyModel::beginResetModel(); }
    virtual QModelIndex buddy(const QModelIndex & index) const;
    virtual bool canFetchMore(const QModelIndex & parent) const;
    inline void changePersistentIndex_protected(const QModelIndex & from, const QModelIndex & to) { QSortFilterProxyModel::changePersistentIndex(from, to); }
    inline void changePersistentIndexList_protected(const QModelIndexList & from, const QModelIndexList & to) { QSortFilterProxyModel::changePersistentIndexList(from, to); }
    inline void childEvent_protected(QChildEvent * arg__1) { QSortFilterProxyModel::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
    inline void connectNotify_protected(const char * signal) { QSortFilterProxyModel::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline QModelIndex createIndex_protected(int row, int column, int id) const { return QSortFilterProxyModel::createIndex(row, column, id); }
    inline void customEvent_protected(QEvent * arg__1) { QSortFilterProxyModel::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    virtual QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const;
    inline bool decodeData_protected(int row, int column, const QModelIndex & parent, QDataStream & stream) { return QSortFilterProxyModel::decodeData(row, column, parent, stream); }
    inline void disconnectNotify_protected(const char * signal) { QSortFilterProxyModel::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool dropMimeData(const QMimeData * data, Qt::DropAction action, int row, int column, const QModelIndex & parent);
    inline void encodeData_protected(const QModelIndexList & indexes, QDataStream & stream) const { QSortFilterProxyModel::encodeData(indexes, stream); }
    inline void endInsertColumns_protected() { QSortFilterProxyModel::endInsertColumns(); }
    inline void endInsertRows_protected() { QSortFilterProxyModel::endInsertRows(); }
    inline void endMoveColumns_protected() { QSortFilterProxyModel::endMoveColumns(); }
    inline void endMoveRows_protected() { QSortFilterProxyModel::endMoveRows(); }
    inline void endRemoveColumns_protected() { QSortFilterProxyModel::endRemoveColumns(); }
    inline void endRemoveRows_protected() { QSortFilterProxyModel::endRemoveRows(); }
    inline void endResetModel_protected() { QSortFilterProxyModel::endResetModel(); }
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual void fetchMore(const QModelIndex & parent);
    inline bool filterAcceptsColumn_protected(int source_column, const QModelIndex & source_parent) const { return QSortFilterProxyModel::filterAcceptsColumn(source_column, source_parent); }
    virtual bool filterAcceptsColumn(int source_column, const QModelIndex & source_parent) const;
    inline bool filterAcceptsRow_protected(int source_row, const QModelIndex & source_parent) const { return QSortFilterProxyModel::filterAcceptsRow(source_row, source_parent); }
    virtual bool filterAcceptsRow(int source_row, const QModelIndex & source_parent) const;
    inline void filterChanged_protected() { QSortFilterProxyModel::filterChanged(); }
    virtual QFlags<Qt::ItemFlag> flags(const QModelIndex & index) const;
    virtual bool hasChildren(const QModelIndex & parent = QModelIndex()) const;
    virtual QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;
    virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
    virtual bool insertColumns(int column, int count, const QModelIndex & parent = QModelIndex());
    virtual bool insertRows(int row, int count, const QModelIndex & parent = QModelIndex());
    inline void invalidateFilter_protected() { QSortFilterProxyModel::invalidateFilter(); }
    virtual QMap<int, QVariant > itemData(const QModelIndex & index) const;
    inline bool lessThan_protected(const QModelIndex & left, const QModelIndex & right) const { return QSortFilterProxyModel::lessThan(left, right); }
    virtual bool lessThan(const QModelIndex & left, const QModelIndex & right) const;
    virtual QModelIndex mapFromSource(const QModelIndex & sourceIndex) const;
    virtual QItemSelection mapSelectionFromSource(const QItemSelection & sourceSelection) const;
    virtual QItemSelection mapSelectionToSource(const QItemSelection & proxySelection) const;
    virtual QModelIndex mapToSource(const QModelIndex & proxyIndex) const;
    virtual QModelIndexList match(const QModelIndex & start, int role, const QVariant & value, int hits = 1, QFlags<Qt::MatchFlag> flags = Qt::MatchFlags(Qt::MatchStartsWith|Qt::MatchWrap)) const;
    virtual const QMetaObject * metaObject() const;
    virtual QMimeData * mimeData(const QModelIndexList & indexes) const;
    virtual QStringList mimeTypes() const;
    virtual QModelIndex parent(const QModelIndex & child) const;
    inline QModelIndexList persistentIndexList_protected() const { return QSortFilterProxyModel::persistentIndexList(); }
    inline int receivers_protected(const char * signal) const { return QSortFilterProxyModel::receivers(signal); }
    virtual bool removeColumns(int column, int count, const QModelIndex & parent = QModelIndex());
    virtual bool removeRows(int row, int count, const QModelIndex & parent = QModelIndex());
    inline void reset_protected() { QSortFilterProxyModel::reset(); }
    inline void resetInternalData_protected() { QSortFilterProxyModel::resetInternalData(); }
    virtual void revert();
    virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
    inline QObject * sender_protected() const { return QSortFilterProxyModel::sender(); }
    inline int senderSignalIndex_protected() const { return QSortFilterProxyModel::senderSignalIndex(); }
    virtual bool setData(const QModelIndex & index, const QVariant & value, int role = Qt::EditRole);
    virtual bool setHeaderData(int section, Qt::Orientation orientation, const QVariant & value, int role = Qt::EditRole);
    virtual bool setItemData(const QModelIndex & index, const QMap<int, QVariant > & roles);
    inline void setRoleNames_protected(const QHash<int, QByteArray > & roleNames) { QSortFilterProxyModel::setRoleNames(roleNames); }
    virtual void setSourceModel(QAbstractItemModel * sourceModel);
    virtual void sort(int column, Qt::SortOrder order = Qt::AscendingOrder);
    virtual QSize span(const QModelIndex & index) const;
    virtual bool submit();
    virtual QFlags<Qt::DropAction> supportedDropActions() const;
    inline void timerEvent_protected(QTimerEvent * arg__1) { QSortFilterProxyModel::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QSortFilterProxyModelWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    // Inherited overloads, because the using keyword sux
    inline QObject * parent() const { return QSortFilterProxyModel::parent(); }
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSORTFILTERPROXYMODELWRAPPER_H

