/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSTYLEDITEMDELEGATEWRAPPER_H
#define SBK_QSTYLEDITEMDELEGATEWRAPPER_H

#include <shiboken.h>

#include <qstyleditemdelegate.h>

namespace PySide { class DynamicQMetaObject; }

class QStyledItemDelegateWrapper : public QStyledItemDelegate
{
public:
    QStyledItemDelegateWrapper(QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QStyledItemDelegate::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QStyledItemDelegate::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    virtual QWidget * createEditor(QWidget * parent, const QStyleOptionViewItem & option, const QModelIndex & index) const;
    inline void customEvent_protected(QEvent * arg__1) { QStyledItemDelegate::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QStyledItemDelegate::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual QString displayText(const QVariant & value, const QLocale & locale) const;
    inline bool editorEvent_protected(QEvent * event, QAbstractItemModel * model, const QStyleOptionViewItem & option, const QModelIndex & index) { return QStyledItemDelegate::editorEvent(event, model, option, index); }
    virtual bool editorEvent(QEvent * event, QAbstractItemModel * model, const QStyleOptionViewItem & option, const QModelIndex & index);
    virtual bool event(QEvent * arg__1);
    inline bool eventFilter_protected(QObject * object, QEvent * event) { return QStyledItemDelegate::eventFilter(object, event); }
    virtual bool eventFilter(QObject * object, QEvent * event);
    inline void initStyleOption_protected(QStyleOptionViewItem * option, const QModelIndex & index) const { QStyledItemDelegate::initStyleOption(option, index); }
    virtual void initStyleOption(QStyleOptionViewItem * option, const QModelIndex & index) const;
    virtual const QMetaObject * metaObject() const;
    virtual void paint(QPainter * painter, const QStyleOptionViewItem & option, const QModelIndex & index) const;
    inline int receivers_protected(const char * signal) const { return QStyledItemDelegate::receivers(signal); }
    inline QObject * sender_protected() const { return QStyledItemDelegate::sender(); }
    inline int senderSignalIndex_protected() const { return QStyledItemDelegate::senderSignalIndex(); }
    virtual void setEditorData(QWidget * editor, const QModelIndex & index) const;
    virtual void setModelData(QWidget * editor, QAbstractItemModel * model, const QModelIndex & index) const;
    virtual QSize sizeHint(const QStyleOptionViewItem & option, const QModelIndex & index) const;
    inline void timerEvent_protected(QTimerEvent * arg__1) { QStyledItemDelegate::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual void updateEditorGeometry(QWidget * editor, const QStyleOptionViewItem & option, const QModelIndex & index) const;
    virtual ~QStyledItemDelegateWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSTYLEDITEMDELEGATEWRAPPER_H

