/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSTYLEOPTIONPROGRESSBARV2WRAPPER_H
#define SBK_QSTYLEOPTIONPROGRESSBARV2WRAPPER_H

#include <shiboken.h>

#include <qstyleoption.h>

class QStyleOptionProgressBarV2Wrapper : public QStyleOptionProgressBarV2
{
public:
    QStyleOptionProgressBarV2Wrapper();
    QStyleOptionProgressBarV2Wrapper(const QStyleOptionProgressBar & other);
    QStyleOptionProgressBarV2Wrapper(const QStyleOptionProgressBarV2& self) : QStyleOptionProgressBarV2(self)
    {
    }

    QStyleOptionProgressBarV2Wrapper(int version);
    ~QStyleOptionProgressBarV2Wrapper();
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSTYLEOPTIONPROGRESSBARV2WRAPPER_H

