/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSYNTAXHIGHLIGHTERWRAPPER_H
#define SBK_QSYNTAXHIGHLIGHTERWRAPPER_H

#include <shiboken.h>

#include <qsyntaxhighlighter.h>

namespace PySide { class DynamicQMetaObject; }

class QSyntaxHighlighterWrapper : public QSyntaxHighlighter
{
public:
    QSyntaxHighlighterWrapper(QObject * parent);
    QSyntaxHighlighterWrapper(QTextDocument * parent);
    QSyntaxHighlighterWrapper(QTextEdit * parent);
    inline void childEvent_protected(QChildEvent * arg__1) { QSyntaxHighlighter::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QSyntaxHighlighter::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline QTextBlock currentBlock_protected() const { return QSyntaxHighlighter::currentBlock(); }
    inline int currentBlockState_protected() const { return QSyntaxHighlighter::currentBlockState(); }
    inline QTextBlockUserData * currentBlockUserData_protected() const { return QSyntaxHighlighter::currentBlockUserData(); }
    inline void customEvent_protected(QEvent * arg__1) { QSyntaxHighlighter::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QSyntaxHighlighter::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    inline QTextCharFormat format_protected(int pos) const { return QSyntaxHighlighter::format(pos); }
    inline void highlightBlock_protected(const QString & text) { highlightBlock(text); }
    virtual void highlightBlock(const QString & text);
    virtual const QMetaObject * metaObject() const;
    inline int previousBlockState_protected() const { return QSyntaxHighlighter::previousBlockState(); }
    inline int receivers_protected(const char * signal) const { return QSyntaxHighlighter::receivers(signal); }
    inline QObject * sender_protected() const { return QSyntaxHighlighter::sender(); }
    inline int senderSignalIndex_protected() const { return QSyntaxHighlighter::senderSignalIndex(); }
    inline void setCurrentBlockState_protected(int newState) { QSyntaxHighlighter::setCurrentBlockState(newState); }
    inline void setCurrentBlockUserData_protected(QTextBlockUserData * data) { QSyntaxHighlighter::setCurrentBlockUserData(data); }
    inline void setFormat_protected(int start, int count, const QColor & color) { QSyntaxHighlighter::setFormat(start, count, color); }
    inline void setFormat_protected(int start, int count, const QFont & font) { QSyntaxHighlighter::setFormat(start, count, font); }
    inline void setFormat_protected(int start, int count, const QTextCharFormat & format) { QSyntaxHighlighter::setFormat(start, count, format); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QSyntaxHighlighter::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QSyntaxHighlighterWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSYNTAXHIGHLIGHTERWRAPPER_H

