/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QTEXTDOCUMENTWRAPPER_H
#define SBK_QTEXTDOCUMENTWRAPPER_H

#include <shiboken.h>

#include <qtextdocument.h>

namespace PySide { class DynamicQMetaObject; }

class QTextDocumentWrapper : public QTextDocument
{
public:
    QTextDocumentWrapper(QObject * parent = 0);
    QTextDocumentWrapper(const QString & text, QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QTextDocument::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    virtual void clear();
    inline void connectNotify_protected(const char * signal) { QTextDocument::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline QTextObject * createObject_protected(const QTextFormat & f) { return QTextDocument::createObject(f); }
    virtual QTextObject * createObject(const QTextFormat & f);
    inline void customEvent_protected(QEvent * arg__1) { QTextDocument::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QTextDocument::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    inline QVariant loadResource_protected(int type, const QUrl & name) { return QTextDocument::loadResource(type, name); }
    virtual QVariant loadResource(int type, const QUrl & name);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QTextDocument::receivers(signal); }
    inline QObject * sender_protected() const { return QTextDocument::sender(); }
    inline int senderSignalIndex_protected() const { return QTextDocument::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QTextDocument::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QTextDocumentWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QTEXTDOCUMENTWRAPPER_H

