/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QWIDGETACTIONWRAPPER_H
#define SBK_QWIDGETACTIONWRAPPER_H

#include <shiboken.h>

#include <qwidgetaction.h>

namespace PySide { class DynamicQMetaObject; }

class QWidgetActionWrapper : public QWidgetAction
{
public:
    QWidgetActionWrapper(QObject * parent);
    inline void childEvent_protected(QChildEvent * arg__1) { QWidgetAction::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QWidgetAction::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline QWidget * createWidget_protected(QWidget * parent) { return QWidgetAction::createWidget(parent); }
    virtual QWidget * createWidget(QWidget * parent);
    inline QList<QWidget * > createdWidgets_protected() const { return QWidgetAction::createdWidgets(); }
    inline void customEvent_protected(QEvent * arg__1) { QWidgetAction::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void deleteWidget_protected(QWidget * widget) { QWidgetAction::deleteWidget(widget); }
    virtual void deleteWidget(QWidget * widget);
    inline void disconnectNotify_protected(const char * signal) { QWidgetAction::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline bool event_protected(QEvent * arg__1) { return QWidgetAction::event(arg__1); }
    virtual bool event(QEvent * arg__1);
    inline bool eventFilter_protected(QObject * arg__1, QEvent * arg__2) { return QWidgetAction::eventFilter(arg__1, arg__2); }
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QWidgetAction::receivers(signal); }
    inline QObject * sender_protected() const { return QWidgetAction::sender(); }
    inline int senderSignalIndex_protected() const { return QWidgetAction::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QWidgetAction::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QWidgetActionWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QWIDGETACTIONWRAPPER_H

