/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QHELPINDEXMODELWRAPPER_H
#define SBK_QHELPINDEXMODELWRAPPER_H

#include <shiboken.h>

#include <qhelpindexwidget.h>

namespace PySide { class DynamicQMetaObject; }

class QHelpIndexModelWrapper : public QHelpIndexModel
{
public:
    inline void beginInsertColumns_protected(const QModelIndex & parent, int first, int last) { QHelpIndexModel::beginInsertColumns(parent, first, last); }
    inline void beginInsertRows_protected(const QModelIndex & parent, int first, int last) { QHelpIndexModel::beginInsertRows(parent, first, last); }
    inline bool beginMoveColumns_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationColumn) { return QHelpIndexModel::beginMoveColumns(sourceParent, sourceFirst, sourceLast, destinationParent, destinationColumn); }
    inline bool beginMoveRows_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationRow) { return QHelpIndexModel::beginMoveRows(sourceParent, sourceFirst, sourceLast, destinationParent, destinationRow); }
    inline void beginRemoveColumns_protected(const QModelIndex & parent, int first, int last) { QHelpIndexModel::beginRemoveColumns(parent, first, last); }
    inline void beginRemoveRows_protected(const QModelIndex & parent, int first, int last) { QHelpIndexModel::beginRemoveRows(parent, first, last); }
    inline void beginResetModel_protected() { QHelpIndexModel::beginResetModel(); }
    inline void changePersistentIndex_protected(const QModelIndex & from, const QModelIndex & to) { QHelpIndexModel::changePersistentIndex(from, to); }
    inline void changePersistentIndexList_protected(const QModelIndexList & from, const QModelIndexList & to) { QHelpIndexModel::changePersistentIndexList(from, to); }
    inline void childEvent_protected(QChildEvent * arg__1) { QHelpIndexModel::childEvent(arg__1); }
    inline void connectNotify_protected(const char * signal) { QHelpIndexModel::connectNotify(signal); }
    inline void customEvent_protected(QEvent * arg__1) { QHelpIndexModel::customEvent(arg__1); }
    inline bool decodeData_protected(int row, int column, const QModelIndex & parent, QDataStream & stream) { return QHelpIndexModel::decodeData(row, column, parent, stream); }
    inline void disconnectNotify_protected(const char * signal) { QHelpIndexModel::disconnectNotify(signal); }
    inline void encodeData_protected(const QModelIndexList & indexes, QDataStream & stream) const { QHelpIndexModel::encodeData(indexes, stream); }
    inline void endInsertColumns_protected() { QHelpIndexModel::endInsertColumns(); }
    inline void endInsertRows_protected() { QHelpIndexModel::endInsertRows(); }
    inline void endMoveColumns_protected() { QHelpIndexModel::endMoveColumns(); }
    inline void endMoveRows_protected() { QHelpIndexModel::endMoveRows(); }
    inline void endRemoveColumns_protected() { QHelpIndexModel::endRemoveColumns(); }
    inline void endRemoveRows_protected() { QHelpIndexModel::endRemoveRows(); }
    inline void endResetModel_protected() { QHelpIndexModel::endResetModel(); }
    inline QModelIndexList persistentIndexList_protected() const { return QHelpIndexModel::persistentIndexList(); }
    inline int receivers_protected(const char * signal) const { return QHelpIndexModel::receivers(signal); }
    inline void reset_protected() { QHelpIndexModel::reset(); }
    inline void resetInternalData_protected() { QHelpIndexModel::resetInternalData(); }
    inline QObject * sender_protected() const { return QHelpIndexModel::sender(); }
    inline int senderSignalIndex_protected() const { return QHelpIndexModel::senderSignalIndex(); }
    inline void setRoleNames_protected(const QHash<int, QByteArray > & roleNames) { QHelpIndexModel::setRoleNames(roleNames); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QHelpIndexModel::timerEvent(arg__1); }
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QHELPINDEXMODELWRAPPER_H

