/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QABSTRACTAUDIOINPUTWRAPPER_H
#define SBK_QABSTRACTAUDIOINPUTWRAPPER_H

#include <shiboken.h>

#include <qaudioengine.h>

namespace PySide { class DynamicQMetaObject; }

class QAbstractAudioInputWrapper : public QAbstractAudioInput
{
public:
    QAbstractAudioInputWrapper();
    virtual int bufferSize() const;
    virtual int bytesReady() const;
    inline void childEvent_protected(QChildEvent * arg__1) { QAbstractAudioInput::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QAbstractAudioInput::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QAbstractAudioInput::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QAbstractAudioInput::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual qint64 elapsedUSecs() const;
    virtual QAudio::Error error() const;
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual QAudioFormat format() const;
    virtual const QMetaObject * metaObject() const;
    virtual int notifyInterval() const;
    virtual int periodSize() const;
    virtual qint64 processedUSecs() const;
    inline int receivers_protected(const char * signal) const { return QAbstractAudioInput::receivers(signal); }
    virtual void reset();
    virtual void resume();
    inline QObject * sender_protected() const { return QAbstractAudioInput::sender(); }
    inline int senderSignalIndex_protected() const { return QAbstractAudioInput::senderSignalIndex(); }
    virtual void setBufferSize(int value);
    virtual void setNotifyInterval(int milliSeconds);
    virtual QIODevice * start(QIODevice * device);
    virtual QAudio::State state() const;
    virtual void stop();
    virtual void suspend();
    inline void timerEvent_protected(QTimerEvent * arg__1) { QAbstractAudioInput::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QAbstractAudioInputWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QABSTRACTAUDIOINPUTWRAPPER_H

