/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QHTTPRESPONSEHEADERWRAPPER_H
#define SBK_QHTTPRESPONSEHEADERWRAPPER_H

#include <shiboken.h>

#include <qhttp.h>

class QHttpResponseHeaderWrapper : public QHttpResponseHeader
{
public:
    QHttpResponseHeaderWrapper();
    QHttpResponseHeaderWrapper(const QHttpResponseHeader& self) : QHttpResponseHeader(self)
    {
    }

    QHttpResponseHeaderWrapper(const QString & str);
    QHttpResponseHeaderWrapper(int code, const QString & text = QString(), int majorVer = 1, int minorVer = 1);
    virtual int majorVersion() const;
    virtual int minorVersion() const;
    inline bool parse_protected(const QString & str) { return QHttpResponseHeader::parse(str); }
    inline bool parseLine_protected(const QString & line, int number) { return QHttpResponseHeader::parseLine(line, number); }
    virtual bool parseLine(const QString & line, int number);
    inline void setValid_protected(bool arg__1) { QHttpResponseHeader::setValid(arg__1); }
    virtual QString toString() const;
    virtual ~QHttpResponseHeaderWrapper();
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QHTTPRESPONSEHEADERWRAPPER_H

