/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QNETWORKCOOKIEJARWRAPPER_H
#define SBK_QNETWORKCOOKIEJARWRAPPER_H

#include <shiboken.h>

#include <qnetworkcookiejar.h>

namespace PySide { class DynamicQMetaObject; }

class QNetworkCookieJarWrapper : public QNetworkCookieJar
{
public:
    QNetworkCookieJarWrapper(QObject * parent = 0);
    inline QList<QNetworkCookie > allCookies_protected() const { return QNetworkCookieJar::allCookies(); }
    inline void childEvent_protected(QChildEvent * arg__1) { QNetworkCookieJar::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QNetworkCookieJar::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    virtual QList<QNetworkCookie > cookiesForUrl(const QUrl & url) const;
    inline void customEvent_protected(QEvent * arg__1) { QNetworkCookieJar::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QNetworkCookieJar::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QNetworkCookieJar::receivers(signal); }
    inline QObject * sender_protected() const { return QNetworkCookieJar::sender(); }
    inline int senderSignalIndex_protected() const { return QNetworkCookieJar::senderSignalIndex(); }
    inline void setAllCookies_protected(const QList<QNetworkCookie > & cookieList) { QNetworkCookieJar::setAllCookies(cookieList); }
    virtual bool setCookiesFromUrl(const QList<QNetworkCookie > & cookieList, const QUrl & url);
    inline void timerEvent_protected(QTimerEvent * arg__1) { QNetworkCookieJar::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QNetworkCookieJarWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QNETWORKCOOKIEJARWRAPPER_H

