/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QSQLRELATIONALTABLEMODELWRAPPER_H
#define SBK_QSQLRELATIONALTABLEMODELWRAPPER_H

#include <shiboken.h>

#include <qsqlrelationaltablemodel.h>

namespace PySide { class DynamicQMetaObject; }

class QSqlRelationalTableModelWrapper : public QSqlRelationalTableModel
{
public:
    QSqlRelationalTableModelWrapper(QObject * parent = 0, QSqlDatabase db = QSqlDatabase());
    inline void beginInsertColumns_protected(const QModelIndex & parent, int first, int last) { QSqlRelationalTableModel::beginInsertColumns(parent, first, last); }
    inline void beginInsertRows_protected(const QModelIndex & parent, int first, int last) { QSqlRelationalTableModel::beginInsertRows(parent, first, last); }
    inline bool beginMoveColumns_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationColumn) { return QSqlRelationalTableModel::beginMoveColumns(sourceParent, sourceFirst, sourceLast, destinationParent, destinationColumn); }
    inline bool beginMoveRows_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationRow) { return QSqlRelationalTableModel::beginMoveRows(sourceParent, sourceFirst, sourceLast, destinationParent, destinationRow); }
    inline void beginRemoveColumns_protected(const QModelIndex & parent, int first, int last) { QSqlRelationalTableModel::beginRemoveColumns(parent, first, last); }
    inline void beginRemoveRows_protected(const QModelIndex & parent, int first, int last) { QSqlRelationalTableModel::beginRemoveRows(parent, first, last); }
    inline void beginResetModel_protected() { QSqlRelationalTableModel::beginResetModel(); }
    virtual QModelIndex buddy(const QModelIndex & index) const;
    virtual bool canFetchMore(const QModelIndex & parent = QModelIndex()) const;
    inline void changePersistentIndex_protected(const QModelIndex & from, const QModelIndex & to) { QSqlRelationalTableModel::changePersistentIndex(from, to); }
    inline void changePersistentIndexList_protected(const QModelIndexList & from, const QModelIndexList & to) { QSqlRelationalTableModel::changePersistentIndexList(from, to); }
    inline void childEvent_protected(QChildEvent * arg__1) { QSqlRelationalTableModel::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    virtual void clear();
    virtual int columnCount(const QModelIndex & parent = QModelIndex()) const;
    inline void connectNotify_protected(const char * signal) { QSqlRelationalTableModel::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline QModelIndex createIndex_protected(int row, int column, int id) const { return QSqlRelationalTableModel::createIndex(row, column, id); }
    inline void customEvent_protected(QEvent * arg__1) { QSqlRelationalTableModel::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    virtual QVariant data(const QModelIndex & item, int role = Qt::DisplayRole) const;
    inline bool decodeData_protected(int row, int column, const QModelIndex & parent, QDataStream & stream) { return QSqlRelationalTableModel::decodeData(row, column, parent, stream); }
    inline bool deleteRowFromTable_protected(int row) { return QSqlRelationalTableModel::deleteRowFromTable(row); }
    virtual bool deleteRowFromTable(int row);
    inline void disconnectNotify_protected(const char * signal) { QSqlRelationalTableModel::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool dropMimeData(const QMimeData * data, Qt::DropAction action, int row, int column, const QModelIndex & parent);
    inline void encodeData_protected(const QModelIndexList & indexes, QDataStream & stream) const { QSqlRelationalTableModel::encodeData(indexes, stream); }
    inline void endInsertColumns_protected() { QSqlRelationalTableModel::endInsertColumns(); }
    inline void endInsertRows_protected() { QSqlRelationalTableModel::endInsertRows(); }
    inline void endMoveColumns_protected() { QSqlRelationalTableModel::endMoveColumns(); }
    inline void endMoveRows_protected() { QSqlRelationalTableModel::endMoveRows(); }
    inline void endRemoveColumns_protected() { QSqlRelationalTableModel::endRemoveColumns(); }
    inline void endRemoveRows_protected() { QSqlRelationalTableModel::endRemoveRows(); }
    inline void endResetModel_protected() { QSqlRelationalTableModel::endResetModel(); }
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual void fetchMore(const QModelIndex & parent = QModelIndex());
    virtual QFlags<Qt::ItemFlag> flags(const QModelIndex & index) const;
    virtual QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;
    virtual QModelIndex index(int row, int column, const QModelIndex & parent = QModelIndex()) const;
    inline QModelIndex indexInQuery_protected(const QModelIndex & item) const { return QSqlRelationalTableModel::indexInQuery(item); }
    virtual bool insertColumns(int column, int count, const QModelIndex & parent = QModelIndex());
    inline bool insertRowIntoTable_protected(const QSqlRecord & values) { return QSqlRelationalTableModel::insertRowIntoTable(values); }
    virtual bool insertRowIntoTable(const QSqlRecord & values);
    virtual bool insertRows(int row, int count, const QModelIndex & parent = QModelIndex());
    virtual QMap<int, QVariant > itemData(const QModelIndex & index) const;
    virtual QModelIndexList match(const QModelIndex & start, int role, const QVariant & value, int hits = 1, QFlags<Qt::MatchFlag> flags = Qt::MatchFlags(Qt::MatchStartsWith|Qt::MatchWrap)) const;
    virtual const QMetaObject * metaObject() const;
    virtual QMimeData * mimeData(const QModelIndexList & indexes) const;
    virtual QStringList mimeTypes() const;
    inline QString orderByClause_protected() const { return QSqlRelationalTableModel::orderByClause(); }
    virtual QString orderByClause() const;
    inline QModelIndexList persistentIndexList_protected() const { return QSqlRelationalTableModel::persistentIndexList(); }
    inline void queryChange_protected() { QSqlRelationalTableModel::queryChange(); }
    virtual void queryChange();
    inline int receivers_protected(const char * signal) const { return QSqlRelationalTableModel::receivers(signal); }
    virtual QSqlTableModel * relationModel(int column) const;
    virtual bool removeColumns(int column, int count, const QModelIndex & parent = QModelIndex());
    virtual bool removeRows(int row, int count, const QModelIndex & parent = QModelIndex());
    inline void reset_protected() { QSqlRelationalTableModel::reset(); }
    inline void resetInternalData_protected() { QSqlRelationalTableModel::resetInternalData(); }
    virtual void revert();
    virtual void revertRow(int row);
    virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
    virtual bool select();
    inline QString selectStatement_protected() const { return QSqlRelationalTableModel::selectStatement(); }
    virtual QString selectStatement() const;
    inline QObject * sender_protected() const { return QSqlRelationalTableModel::sender(); }
    inline int senderSignalIndex_protected() const { return QSqlRelationalTableModel::senderSignalIndex(); }
    virtual bool setData(const QModelIndex & item, const QVariant & value, int role = Qt::EditRole);
    virtual void setEditStrategy(QSqlTableModel::EditStrategy strategy);
    virtual void setFilter(const QString & filter);
    virtual bool setHeaderData(int section, Qt::Orientation orientation, const QVariant & value, int role = Qt::EditRole);
    virtual bool setItemData(const QModelIndex & index, const QMap<int, QVariant > & roles);
    inline void setLastError_protected(const QSqlError & error) { QSqlRelationalTableModel::setLastError(error); }
    inline void setPrimaryKey_protected(const QSqlIndex & key) { QSqlRelationalTableModel::setPrimaryKey(key); }
    inline void setQuery_protected(const QSqlQuery & query) { QSqlRelationalTableModel::setQuery(query); }
    virtual void setRelation(int column, const QSqlRelation & relation);
    inline void setRoleNames_protected(const QHash<int, QByteArray > & roleNames) { QSqlRelationalTableModel::setRoleNames(roleNames); }
    virtual void setSort(int column, Qt::SortOrder order);
    virtual void setTable(const QString & tableName);
    virtual void sort(int column, Qt::SortOrder order);
    virtual QSize span(const QModelIndex & index) const;
    virtual bool submit();
    virtual QFlags<Qt::DropAction> supportedDropActions() const;
    inline void timerEvent_protected(QTimerEvent * arg__1) { QSqlRelationalTableModel::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    inline bool updateRowInTable_protected(int row, const QSqlRecord & values) { return QSqlRelationalTableModel::updateRowInTable(row, values); }
    virtual bool updateRowInTable(int row, const QSqlRecord & values);
    virtual ~QSqlRelationalTableModelWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QSQLRELATIONALTABLEMODELWRAPPER_H

