/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QWEBFRAMEWRAPPER_H
#define SBK_QWEBFRAMEWRAPPER_H

#include <shiboken.h>

#include <qwebframe.h>

namespace PySide { class DynamicQMetaObject; }

class QWebFrameWrapper : public QWebFrame
{
public:
    inline void childEvent_protected(QChildEvent * arg__1) { QWebFrame::childEvent(arg__1); }
    inline void connectNotify_protected(const char * signal) { QWebFrame::connectNotify(signal); }
    inline void customEvent_protected(QEvent * arg__1) { QWebFrame::customEvent(arg__1); }
    inline void disconnectNotify_protected(const char * signal) { QWebFrame::disconnectNotify(signal); }
    inline int receivers_protected(const char * signal) const { return QWebFrame::receivers(signal); }
    inline QObject * sender_protected() const { return QWebFrame::sender(); }
    inline int senderSignalIndex_protected() const { return QWebFrame::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QWebFrame::timerEvent(arg__1); }
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QWEBFRAMEWRAPPER_H

