/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_QABSTRACTMESSAGEHANDLERWRAPPER_H
#define SBK_QABSTRACTMESSAGEHANDLERWRAPPER_H

#include <shiboken.h>

#include <qabstractmessagehandler.h>

namespace PySide { class DynamicQMetaObject; }

class QAbstractMessageHandlerWrapper : public QAbstractMessageHandler
{
public:
    QAbstractMessageHandlerWrapper(QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { QAbstractMessageHandler::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { QAbstractMessageHandler::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { QAbstractMessageHandler::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { QAbstractMessageHandler::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    inline void handleMessage_protected(int type, const QString & description, const QUrl & identifier, const QSourceLocation & sourceLocation) { handleMessage(QtMsgType(type), description, identifier, sourceLocation); }
    virtual void handleMessage(QtMsgType type, const QString & description, const QUrl & identifier, const QSourceLocation & sourceLocation);
    virtual const QMetaObject * metaObject() const;
    inline int receivers_protected(const char * signal) const { return QAbstractMessageHandler::receivers(signal); }
    inline QObject * sender_protected() const { return QAbstractMessageHandler::sender(); }
    inline int senderSignalIndex_protected() const { return QAbstractMessageHandler::senderSignalIndex(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { QAbstractMessageHandler::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~QAbstractMessageHandlerWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_QABSTRACTMESSAGEHANDLERWRAPPER_H

