/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_ABSTRACTMEDIASTREAMWRAPPER_H
#define SBK_ABSTRACTMEDIASTREAMWRAPPER_H

#include <shiboken.h>

#include <abstractmediastream.h>

namespace PySide { class DynamicQMetaObject; }

class AbstractMediaStreamWrapper : public Phonon::AbstractMediaStream
{
public:
    AbstractMediaStreamWrapper(QObject * parent = 0);
    inline void childEvent_protected(QChildEvent * arg__1) { Phonon::AbstractMediaStream::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { Phonon::AbstractMediaStream::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline void customEvent_protected(QEvent * arg__1) { Phonon::AbstractMediaStream::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    inline void disconnectNotify_protected(const char * signal) { Phonon::AbstractMediaStream::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    inline void endOfData_protected() { Phonon::AbstractMediaStream::endOfData(); }
    inline void enoughData_protected() { Phonon::AbstractMediaStream::enoughData(); }
    virtual void enoughData();
    inline void error_protected(int errorType, const QString & errorString) { Phonon::AbstractMediaStream::error(Phonon::ErrorType(errorType), errorString); }
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual const QMetaObject * metaObject() const;
    inline void needData_protected() { needData(); }
    virtual void needData();
    inline int receivers_protected(const char * signal) const { return Phonon::AbstractMediaStream::receivers(signal); }
    inline void reset_protected() { reset(); }
    virtual void reset();
    inline void seekStream_protected(qint64 offset) { Phonon::AbstractMediaStream::seekStream(offset); }
    virtual void seekStream(qint64 offset);
    inline QObject * sender_protected() const { return Phonon::AbstractMediaStream::sender(); }
    inline int senderSignalIndex_protected() const { return Phonon::AbstractMediaStream::senderSignalIndex(); }
    inline void setStreamSeekable_protected(bool arg__1) { Phonon::AbstractMediaStream::setStreamSeekable(arg__1); }
    inline void setStreamSize_protected(qint64 arg__1) { Phonon::AbstractMediaStream::setStreamSize(arg__1); }
    inline bool streamSeekable_protected() const { return Phonon::AbstractMediaStream::streamSeekable(); }
    inline qint64 streamSize_protected() const { return Phonon::AbstractMediaStream::streamSize(); }
    inline void timerEvent_protected(QTimerEvent * arg__1) { Phonon::AbstractMediaStream::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    inline void writeData_protected(const QByteArray & data) { Phonon::AbstractMediaStream::writeData(data); }
    virtual ~AbstractMediaStreamWrapper();
public:
    virtual int qt_metacall(QMetaObject::Call call, int id, void** args);
    virtual void* qt_metacast(const char* _clname);
    static void pysideInitQtMetaTypes();
};

#endif // SBK_ABSTRACTMEDIASTREAMWRAPPER_H

