/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef SBK_EFFECTDESCRIPTIONMODELWRAPPER_H
#define SBK_EFFECTDESCRIPTIONMODELWRAPPER_H

#include <shiboken.h>

#include <objectdescriptionmodel.h>

class EffectDescriptionModelWrapper : public Phonon::EffectDescriptionModel
{
public:
    EffectDescriptionModelWrapper(QObject * parent = 0);
    EffectDescriptionModelWrapper(const QList<Phonon::ObjectDescription<Phonon::EffectType > > & data, QObject * parent = 0);
    inline void beginInsertColumns_protected(const QModelIndex & parent, int first, int last) { Phonon::EffectDescriptionModel::beginInsertColumns(parent, first, last); }
    inline void beginInsertRows_protected(const QModelIndex & parent, int first, int last) { Phonon::EffectDescriptionModel::beginInsertRows(parent, first, last); }
    inline bool beginMoveColumns_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationColumn) { return Phonon::EffectDescriptionModel::beginMoveColumns(sourceParent, sourceFirst, sourceLast, destinationParent, destinationColumn); }
    inline bool beginMoveRows_protected(const QModelIndex & sourceParent, int sourceFirst, int sourceLast, const QModelIndex & destinationParent, int destinationRow) { return Phonon::EffectDescriptionModel::beginMoveRows(sourceParent, sourceFirst, sourceLast, destinationParent, destinationRow); }
    inline void beginRemoveColumns_protected(const QModelIndex & parent, int first, int last) { Phonon::EffectDescriptionModel::beginRemoveColumns(parent, first, last); }
    inline void beginRemoveRows_protected(const QModelIndex & parent, int first, int last) { Phonon::EffectDescriptionModel::beginRemoveRows(parent, first, last); }
    inline void beginResetModel_protected() { Phonon::EffectDescriptionModel::beginResetModel(); }
    virtual QModelIndex buddy(const QModelIndex & index) const;
    virtual bool canFetchMore(const QModelIndex & parent) const;
    inline void changePersistentIndex_protected(const QModelIndex & from, const QModelIndex & to) { Phonon::EffectDescriptionModel::changePersistentIndex(from, to); }
    inline void changePersistentIndexList_protected(const QModelIndexList & from, const QModelIndexList & to) { Phonon::EffectDescriptionModel::changePersistentIndexList(from, to); }
    inline void childEvent_protected(QChildEvent * arg__1) { Phonon::EffectDescriptionModel::childEvent(arg__1); }
    virtual void childEvent(QChildEvent * arg__1);
    inline void connectNotify_protected(const char * signal) { Phonon::EffectDescriptionModel::connectNotify(signal); }
    virtual void connectNotify(const char * signal);
    inline QModelIndex createIndex_protected(int row, int column, int id) const { return Phonon::EffectDescriptionModel::createIndex(row, column, id); }
    inline void customEvent_protected(QEvent * arg__1) { Phonon::EffectDescriptionModel::customEvent(arg__1); }
    virtual void customEvent(QEvent * arg__1);
    virtual QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const;
    inline bool decodeData_protected(int row, int column, const QModelIndex & parent, QDataStream & stream) { return Phonon::EffectDescriptionModel::decodeData(row, column, parent, stream); }
    inline void disconnectNotify_protected(const char * signal) { Phonon::EffectDescriptionModel::disconnectNotify(signal); }
    virtual void disconnectNotify(const char * signal);
    virtual bool dropMimeData(const QMimeData * data, Qt::DropAction action, int row, int column, const QModelIndex & parent);
    inline void encodeData_protected(const QModelIndexList & indexes, QDataStream & stream) const { Phonon::EffectDescriptionModel::encodeData(indexes, stream); }
    inline void endInsertColumns_protected() { Phonon::EffectDescriptionModel::endInsertColumns(); }
    inline void endInsertRows_protected() { Phonon::EffectDescriptionModel::endInsertRows(); }
    inline void endMoveColumns_protected() { Phonon::EffectDescriptionModel::endMoveColumns(); }
    inline void endMoveRows_protected() { Phonon::EffectDescriptionModel::endMoveRows(); }
    inline void endRemoveColumns_protected() { Phonon::EffectDescriptionModel::endRemoveColumns(); }
    inline void endRemoveRows_protected() { Phonon::EffectDescriptionModel::endRemoveRows(); }
    inline void endResetModel_protected() { Phonon::EffectDescriptionModel::endResetModel(); }
    virtual bool event(QEvent * arg__1);
    virtual bool eventFilter(QObject * arg__1, QEvent * arg__2);
    virtual void fetchMore(const QModelIndex & parent);
    virtual QFlags<Qt::ItemFlag> flags(const QModelIndex & index) const;
    virtual QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;
    virtual QModelIndex index(int row, int column = 0, const QModelIndex & parent = QModelIndex()) const;
    virtual bool insertColumns(int column, int count, const QModelIndex & parent = QModelIndex());
    virtual bool insertRows(int row, int count, const QModelIndex & parent = QModelIndex());
    virtual QMap<int, QVariant > itemData(const QModelIndex & index) const;
    virtual QModelIndexList match(const QModelIndex & start, int role, const QVariant & value, int hits = 1, QFlags<Qt::MatchFlag> flags = Qt::MatchFlags(Qt::MatchStartsWith|Qt::MatchWrap)) const;
    virtual const QMetaObject * metaObject() const;
    virtual QMimeData * mimeData(const QModelIndexList & indexes) const;
    virtual QStringList mimeTypes() const;
    inline QModelIndexList persistentIndexList_protected() const { return Phonon::EffectDescriptionModel::persistentIndexList(); }
    inline int receivers_protected(const char * signal) const { return Phonon::EffectDescriptionModel::receivers(signal); }
    virtual bool removeColumns(int column, int count, const QModelIndex & parent = QModelIndex());
    virtual bool removeRows(int row, int count, const QModelIndex & parent = QModelIndex());
    inline void reset_protected() { Phonon::EffectDescriptionModel::reset(); }
    inline void resetInternalData_protected() { Phonon::EffectDescriptionModel::resetInternalData(); }
    virtual void revert();
    virtual int rowCount(const QModelIndex & parent = QModelIndex()) const;
    inline QObject * sender_protected() const { return Phonon::EffectDescriptionModel::sender(); }
    inline int senderSignalIndex_protected() const { return Phonon::EffectDescriptionModel::senderSignalIndex(); }
    virtual bool setData(const QModelIndex & index, const QVariant & value, int role = Qt::EditRole);
    virtual bool setHeaderData(int section, Qt::Orientation orientation, const QVariant & value, int role = Qt::EditRole);
    virtual bool setItemData(const QModelIndex & index, const QMap<int, QVariant > & roles);
    inline void setRoleNames_protected(const QHash<int, QByteArray > & roleNames) { Phonon::EffectDescriptionModel::setRoleNames(roleNames); }
    virtual void sort(int column, Qt::SortOrder order = Qt::AscendingOrder);
    virtual QSize span(const QModelIndex & index) const;
    virtual bool submit();
    virtual QFlags<Qt::DropAction> supportedDropActions() const;
    inline void timerEvent_protected(QTimerEvent * arg__1) { Phonon::EffectDescriptionModel::timerEvent(arg__1); }
    virtual void timerEvent(QTimerEvent * arg__1);
    virtual ~EffectDescriptionModelWrapper();
    static void pysideInitQtMetaTypes();
};

#endif // SBK_EFFECTDESCRIPTIONMODELWRAPPER_H

